import {Routes} from '@angular/router';
import {StartComponent} from "./page/onboarding/start/start.component";
import {NotificationComponent} from "./page/onboarding/notification/notification.component";
import {RegistrationComponent} from "./page/onboarding/registration/registration.component";
import {LoginComponent} from "./page/login/login.component";
import {VerificationComponent} from "./page/onboarding/verification/verification.component";
import {PrivacyComponent} from "./page/privacy/privacy.component";
import {TermsOfServiceComponent} from "./page/terms-of-service/terms-of-service.component";

export const routes: Routes = [
    {
        path: '',
        component: StartComponent,
    },
    {
        path: 'onboarding/notifications',
        component: NotificationComponent,
    },
    {
        path: 'onboarding/registration',
        component: RegistrationComponent,
    },
    {
        path: 'onboarding/verification',
        component: VerificationComponent,
    },
    {
        path: 'privacy',
        component: PrivacyComponent,
    },
    {
        path: 'terms',
        component: TermsOfServiceComponent,
    },
    {
        path: 'login',
        component: LoginComponent,
    },
    {
        path: '**',
        component: StartComponent,
    },
];
