import {Component, EventEmitter, Input, Output} from '@angular/core';
import {FormsModule} from "@angular/forms";
import {verify_email} from "../../../model/util";
import {NgClass} from "@angular/common";

@Component({
    selector: 'atomic-email-field',
    imports: [
        FormsModule,
        NgClass
    ],
    templateUrl: './email-field.component.html',
    styleUrl: './email-field.component.css'
})
export class EmailFieldComponent {
    @Input() disabled: boolean = false;

    private _value: string = '';
    @Input()
    get value(): string {
        return this._value;
    }

    set value(val: string) {
        this._value = val;
        this.valueChange.emit(this._value);
    }

    @Output() valueChange = new EventEmitter<string>();

    verify_mail() {
        return verify_email(this._value);
    }
}
